[jp] Make error: jpilot-1.8.1 on Slackware-14.0/x86_64

Rich Shepard rshepard at appl-ecosys.com
Sun Mar 17 13:52:49 EDT 2013


   I have Alien BOB's multilib/32-bit compatible libraries installed on
Slackware-14.0/x86_64 but throw an error when trying to build jpilot-1.8.1.
I'm not sure what the error message is telling me needs to be fixed:

libtool: link: gcc -shared  .libs/libexpense_la-expense.o   -L/usr/lib
/usr/lib/libgtk-x11-2.0.so /usr/lib/libgdk-x11-2.0.so /usr/lib/libatk-1.0.so
/usr/lib/libgio-2.0.so /usr/lib/libpangoft2-1.0.so
/usr/lib/libpangocairo-1.0.so /usr/lib/libgdk_pixbuf-2.0.so
/usr/lib/libcairo.so /usr/lib/libpango-1.0.so /usr/lib/libfreetype.so
/usr/lib/libfontconfig.so /usr/lib/libgobject-2.0.so
/usr/lib/libglib-2.0.so -ldl  -pthread   -pthread -Wl,-soname
-Wl,libexpense.so -o .libs/libexpense.so
/usr/lib/libgtk-x11-2.0.so: could not read symbols: File in wrong format
collect2: error: ld returned 1 exit status
make[2]: *** [libexpense.la] Error 1
make[2]: Leaving directory `/opt/jpilot-1.8.1/Expense'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/opt/jpilot-1.8.1'
make: *** [all] Error 2

   I'm unclear what is wrong with the format of libgtk-x11-2.0.so. Does
anyone have an idea?

   The user does not need the expense recording capability but I do not see
it as a disableable option in the configuration file.

TIA,

Rich




More information about the Jpilot mailing list